import * as React from 'react';
import { I as Icon, an as Button } from './MapEditView-67426f04.js';

var prefixCls = 'dm-map-drawer-header';
var MapDrawerHeader = React.memo(function (_a) {
    var _b = _a.showCancelButton, showCancelButton = _b === void 0 ? true : _b, _c = _a.showOkButton, showOkButton = _c === void 0 ? true : _c, title = _a.title, cancelText = _a.cancelText, okText = _a.okText, onOk = _a.onOk, onCancel = _a.onCancel, okLoading = _a.okLoading, okDisabled = _a.okDisabled;
    return (React.createElement("div", { className: prefixCls },
        React.createElement("div", { className: "".concat(prefixCls, "-close"), onClick: onCancel },
            React.createElement(Icon, { icon: "close" })),
        React.createElement("div", { className: "".concat(prefixCls, "-title") }, title),
        showCancelButton && onCancel && React.createElement(Button, { onClick: onCancel }, cancelText || ''),
        showOkButton && onOk && (React.createElement(Button, { type: "primary", className: "".concat(prefixCls, "-ok-btn"), onClick: onOk, loading: okLoading, disabled: okDisabled }, okText || ''))));
});

export { MapDrawerHeader as M };
